What's New

API Release Notes (2018.08.08.3232)

Follow
Brad Marshall
  • Agilix team member
  • Updated:
    info_outline
    Created:

Updates in version 2018.08.08.3232.

  • Trusted Authentication: The method, Trusted Authentication, has been deprecated and will be disabled in January 2019. Use alternative authentication methods (e.g., Login2 API, Single Sign-On) for your authentication needs.

Comments (9)

Sort by
Jarek Dudzicki

I want to learn more and see some examples but there is 404 on your links, this help centre is a joke 

Brian Williams
  • Agilix team member

Hello Jarek!

We fixed an error that were taking users to the Agilix API Resources page (https://support.agilix.com/hc/en-us/articles/204796979-Agilix-API-Resources). The links to the API documentation should be good to use now. 

Neal Rigney

Humorously, the link you just added, Brian, gives me a no permission error.

Brad Marshall
  • Agilix team member

I just fixed that. Sorry!

Jarek Dudzicki

thanks , any chances you guys have a working sample of OutcomesClient.PostScore() 

my test account LisOutcomeServiceUrl=https://api.agilixbuzz.com/cmd?cmd=ltioutcome&domainid=72309665&host=www2.huntercourse.com&courseid=72557241&itemid=i1_QQJ8F ConsumerKey=NDgzazNr SharedSecret=E77D9DC8 ResultSourceId=1|72729631|i1_QQJ8F|VUHjkQR0Pte8efLwdh2y8A== grade=1

and i'm getting The remote server returned an error: (400) Bad Request

Find hard to integrate the LTI to your LMS specially the grade posting and how to configure the assessments that will accept the grades, I'm looking from Dev point of view but I need some help to set it correctly in LMS as well

Thanks 

JD

Brad Marshall
  • Agilix team member
Jarek Dudzicki

Thanks, but it seems like I'm running in circles, can somebody explain what LTI version is used at Agilix? 

In the form POST from TP I see  "lti_version: LTI-1p0", the basic one, and at the same time you don't support the trusted auth any more. Is this something that is up to the sales rep to set it up like the supported versions of LTI , can still integrate with 1.0 and post the scores?

 

Jarek Dudzicki

what version of outcomes should be used to post grades to Agilix API, 1.0 or 1.xx

Thanks Jarek  

Brian Williams
  • Agilix team member

Hey Jarek! 

If other users don't provide an answer to your API questions, please submit a ticket through your authorized account to Agilix Support who will provide API assistance through the ticketing service. 

Please sign in to leave a comment.